<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 黑卡 -->
<style>
    .edge .layui-edge {
        right: 10px;
    }

    .layui-form-checkbox[lay-skin=primary] i {
        border-radius: 50px;
        width: 18px;
        height: 18px;
        line-height: 18px;
        margin-top: 3px;
    }

    .layui-form-checkbox[lay-skin=primary] span {
        color: black;
        margin-top: 3px;
        font-size: 14px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h2">黑卡</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select">
                    <option value="500克带金边">500克带金边</option>
                    <option value="500克带蓝边">500克带蓝边</option>
                    <option value="500克带绿边">500克带绿边</option>
                    <option value="500克黑卡">500克黑卡</option>
                </select>
            </div>
            <input type="hidden" name="proTypeValue" class="layui-input" value="66">
            <input type="hidden" id="proTypeValue" value="黑卡">
            <p>
                规格(CM/厘米)
            </p>
            <div class="layui-form-item">
                <select name="kind2Value" id="kind2Value" lay-filter="kind2Value" class="select">
                    <option value="0">9*5.4</option>
                </select>
            </div>
            <!-- <p>
                尺寸(CM/厘米)   <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input" lay-verify="required"  autocomplete="off">
            </div> -->
            <p>
                数量（个）
            </p>
            <div class="layui-form-item">
                <select name="count" id="count" class="select">
                    <option value="200">200</option>
                    <option value="500">500</option>
                </select>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-input-block">
                <input type="radio" name="craftTang" lay-filter="switch" value="双面烫金" title="双面烫金" checked>
                <input type="radio" name="craftTang" lay-filter="switch" value="双面烫金带凹凸" title="双面烫金带凹凸">
                <input type="radio" name="craftTang" lay-filter="switch" value="双面烫银" title="双面烫银">
                <input type="radio" name="craftTang" lay-filter="switch" value="双面烫银带凹凸" title="双面烫银带凹凸">
                <input type="checkbox" name="craft" lay-filter="switch" value="圆角" title="圆角" lay-skin="primary">
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});

        function getProductImage() {

            let craft = $("input[name='craft']:checked").val();
            let craftTang = $("input[name='craftTang']:checked").val();
            let kindValue = $("select[name='kindValue'] option:checked").val();

            $("#carousel").empty();
            let data = {proTypeValue: "黑卡"}
            let remark = "";
            let html = "";
            if (kindValue == '500克带金边' || kindValue == "500克带蓝边") {
                data.kindValue = kindValue;
            }
            if (craftTang) {
                delete data.kindValue
                data.craftValue = craftTang
            }
            if (craft) {
                delete data.kindValue
                data.craftValue = craft
            }

            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                        remark += '<div><span>' + result[i].remark + '<span/></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    if (remark.indexOf("null") < 0) {
                        $("#remark").append(remark);
                    }
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on('select(kindValue)', function (data) {
            getProductImage()
        })
        form.on('radio(switch)', function (data) {
            getProductImage()
        })
        form.on('checkbox(switch)', function (data) {
            getProductImage()
        })
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var kind2Data = {
                0: "9*5.4"
            };
            var kind = $("#kindValue").val();
            var kind2 = kind2Data[$("#kind2Value").val()];
            var number = $("#number").val();
            var count = $("#count option:selected").text();
            var arr = [];
            arr.push($('input[name="craftTang"]:checked').val());
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    arr.push($(this).val());
                }
            });
            //console.log('-----选中的值-----', arr);
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = kind + ' - ' + kind2 + ' 厘米 -(同款内容)\n' + "工艺 :" + arr + "\n";

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    getRemark($("#proTypeValue").val(), kind2, count, kind, number, arr, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            },/* {
							field : 'wangwang',
							align : "center",
							width : '16%',
							title : '折扣价',
							templet : function(d) {
								return Math.ceil(d.price * 0.98)
							} 
						},{
							field : 'wangwang',
							align : "center",
							width : '19%',
							title : '跳楼价',
							templet : function(d) {
								return Math.ceil(d.price * 0.96)
							} 
						}, */{
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });

</script>
</html>